import sys
import json
from cassandra.cluster import Cluster

sys.path.append("config/db")

from db_setup import db_setup
from db_read_csv_txs import db_insert_csv_txs

config = json.load(open("./settings.json"))

db_setup(config)


cluster = Cluster(config['cassandra_addresses'],
                    port=config['cassandra_port'])
session = cluster.connect(config['cassandra_keyspace'])
print(f"Connection OK")

#db_insert_csv_txs(config, "./small_test_data.csv", skip=0, limit=1500)
#res = session.execute('SELECT COUNT(*) FROM transactions')
#print(res.one()[0])
